#include <stdio.h>

int main(int argc, char *argv[])
{
    int i;

    printf("#include <stdio.h>\n");
    printf("\n");
    for (i = 1; i < argc; i++) {
	FILE *fp = fopen(argv[i], "r");
	if (fp == NULL) {
	    fprintf(stderr, "Could not read %s: %m", argv[i]);
	    exit(1);
	}
	printf("static const char *layout_%d[] = {\n", i);
	while (!ferror(fp) && !feof(fp)) {
	    char buffer[1024];
	    int len;
	    if (fgets(buffer, sizeof (buffer), fp) == NULL) {
		break;
	    }
	    len = strlen(buffer);
	    while (len > 0 && (buffer[len - 1] == '\r' || buffer[len - 1] == '\n')) {
		buffer[len - 1] = '\0';
		len--;
	    }
	    if (buffer[0] == '\0' || buffer[0] == '#') {
		continue;
	    }
	    printf("    \"%s\",\n", buffer);
	}
	printf("    NULL,\n");
	printf("};\n");
	printf("\n");
	fclose(fp);
    }
    return 0;
}

